### Method

# GLib MarkupParseContext get_position

#### Declaration

    void
    g_markup_parse_context_get_position (
      GMarkupParseContext* context,
      gint* line_number,
      gint* char_number
    )

#### Description

Retrieves the current line number and the number of the character on that line. Intended for use in error messages; there are no strict semantics for what constitutes the “current” line number other than “the best number we could come up with for error messages.”.

#### Parameters

`line_number`

  Type: `gint*`

  Return location for a line number, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`char_number`

  Type: `gint*`

  Return location for a char-on-line number, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.